Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

# Class CircuitBreakerClientHigherSuccessThreshold

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClientHigherSuccessThreshold

All Implemented Interfaces:
  `Serializable`

@RequestScoped public class CircuitBreakerClientHigherSuccessThreshold extends Object implements Serializable
A client to exercise Circuit Breaker thresholds, with a SuccessThreshold of 3, a requestVolumeThreshold of 4, failureRatio of 0.75 and a 1 second delay.

Author:
  Neil Young
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerClientHigherSuccessThreshold()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCounterForInvokingServiceA()`
`Connection`
`serviceA()`
`void`
`setCounterForInvokingServiceA(int count)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerClientHigherSuccessThreshold

public CircuitBreakerClientHigherSuccessThreshold()

## Method Details

### getCounterForInvokingServiceA

public int getCounterForInvokingServiceA()

### setCounterForInvokingServiceA

public void setCounterForInvokingServiceA(int count)

### serviceA

@CircuitBreaker(successThreshold=3, requestVolumeThreshold=4, failureRatio=0.75, delay=1000L) public Connection serviceA()